io.agora.rtc

## Class CacheStatistics

- java.lang.Object
- - io.agora.rtc.CacheStatistics

-     public class CacheStatistics
      extends java.lang.Object

  Cache statistics information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cacheSize` Cache size in bytes
    `private long` | `downloadSize` Download size in bytes
    `private long` | `fileSize` File size in bytes

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheStatistics()` Default constructor for CacheStatistics.
    `CacheStatistics(long fileSize, long cacheSize, long downloadSize)` Constructs CacheStatistics with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCacheSize()` Gets the cache size in bytes.
    `long` | `getDownloadSize()` Gets the download size in bytes.
    `long` | `getFileSize()` Gets the file size in bytes.
    `void` | `setCacheSize(long cacheSize)` Sets the cache size in bytes.
    `void` | `setDownloadSize(long downloadSize)` Sets the download size in bytes.
    `void` | `setFileSize(long fileSize)` Sets the file size in bytes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fileSize

          private long fileSize

      File size in bytes

    - #### cacheSize

          private long cacheSize

      Cache size in bytes

    - #### downloadSize

          private long downloadSize

      Download size in bytes

  - ### Constructor Detail

    - #### CacheStatistics

          public CacheStatistics()

      Default constructor for CacheStatistics.

    - #### CacheStatistics

          public CacheStatistics(long fileSize,
                                 long cacheSize,
                                 long downloadSize)

      Constructs CacheStatistics with all parameters.
      Parameters:
        `fileSize` - File size in bytes
        `cacheSize` - Cache size in bytes
        `downloadSize` - Download size in bytes

  - ### Method Detail

    - #### getFileSize

          public long getFileSize()

      Gets the file size in bytes.
      Returns:
        File size in bytes

    - #### setFileSize

          public void setFileSize(long fileSize)

      Sets the file size in bytes.
      Parameters:
        `fileSize` - File size in bytes

    - #### getCacheSize

          public long getCacheSize()

      Gets the cache size in bytes.
      Returns:
        Cache size in bytes

    - #### setCacheSize

          public void setCacheSize(long cacheSize)

      Sets the cache size in bytes.
      Parameters:
        `cacheSize` - Cache size in bytes

    - #### getDownloadSize

          public long getDownloadSize()

      Gets the download size in bytes.
      Returns:
        Download size in bytes

    - #### setDownloadSize

          public void setDownloadSize(long downloadSize)

      Sets the download size in bytes.
      Parameters:
        `downloadSize` - Download size in bytes